#ifndef CLIB_PIPEUTIL_PROTOS_H
#define CLIB_PIPEUTIL_PROTOS_H

/**********************************************************************/
/*                                                                    */
/*                $Filename: clib/pipeutil_protos.h $                 */
/*                          $Release: 1.0 $                           */
/*                         $Revision: 37.0 $                          */
/*                   C prototypes. (32bit integers)                   */
/*                     1993 Nick Loman & Alex May                    */
/*                                                                    */
/**********************************************************************/


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef PLFILE_H
#include <plfile.h>
#endif


/**********************************************************************/
/*                          PUBLIC FUNCTIONS                          */
/**********************************************************************/

void zeroize ( char *, int ) ;
struct Node * NumFindNode ( int, struct List * ) ;
void MySort ( struct List *, int ( * ) () ) ;
void MakeUpper ( char *, int ) ;
UBYTE * LineWrap ( char *, ULONG ) ;
void CopySpaces	( char *, int ) ;
void PrintSpaces ( int, ULONG ) ;
void InitParse ( struct parsekey *, char * ) ;
int ParseNum ( struct parsekey *, int ( * ) ( ), ULONG ) ;
int ParseChar ( struct parsekey *, int ( * ) ( ), ULONG ) ;
struct filearea * GetFileAreaData ( ULONG ) ;
ULONG ScanFiles	( APTR, struct fullFile * ) ;
int SaveFile ( struct savefile *, ULONG ) ;
APTR InitFileScanKey ( struct ScanInfo * ) ;
void CloseFileScanKey ( APTR ) ;
struct fullFile * LoadFile ( ULONG, ULONG ) ;
int AreasLoad ( struct List * ) ;
struct PF_Globals * GetFileGlobals ( void ) ;
int IsPlFileThere ( void ) ;
int IsPlMsgThere ( void ) ;
void GetFileFlagList ( char *, struct filearea * ) ;
BOOL GetFile ( ULONG, struct fileindex * ) ;
struct FileStats * GetFileStats	( void ) ;
int TxtDisplay ( char *, int, ULONG ) ;
signed int EditFile ( struct file *, UBYTE * ) ;
int XprProtosLoad ( struct List * ) ;
struct UserFileData * GetUserFileData ( ULONG ) ;
int FileNumberToName ( ULONG, char * ) ;
long FileNameToNumber ( char * ) ;
signed long FileSize ( char * ) ;
int RebuildFiles ( ULONG, BOOL, BOOL ) ;
int DeleteCatFile ( ULONG ) ;
BOOL GetFileNoExt ( char *, struct fileindex * ) ;
struct XprProto * GetProtocol ( int ) ;
struct Editor * GetEditor ( int ) ;
struct BaudEntry * GetBaudRate ( int ) ;
int BaudRatesLoad ( struct List * ) ;
struct List *GetEditorList ( void ) ;
struct WholeMessage *LoadMessage ( int, ULONG, ULONG ) ;
struct UserMsgData *GetUserMsgData ( int ) ;
struct msgarea *GetMsgAreaData ( int ) ;
struct MsgGlobals *GetMsgGlobals ( void ) ;
ULONG GetNumberOfMessages ( void ) ;
void FreeMessage ( struct WholeMessage * ) ;
struct List * GetArchiverList ( void ) ;
struct MsgScanKey * InitMsgScanKey ( struct ScanInfo * ) ;
void CloseMsgScanKey ( struct MsgScanKey * ) ;
ULONG ScanMessages ( struct MsgScanKey * , struct WholeMessage * ) ;
struct MsgIdx * GetPointers ( ULONG ) ;
int ProgramLog ( int, UWORD, char * ) ;
signed int MoveFile ( char *, char *, ULONG ) ;
struct List * ReadAddresses ( char *, char *, ULONG ) ;
void FreeAddresses ( struct List * ) ;
signed int CompareAddresses ( struct FidoAddress *, struct FidoAddress * ) ;
char * WriteAddresses ( struct List *, ULONG, int, char * ) ;
int LoadSigs ( struct List *, BOOL ) ;
LONG FindMessageFromDate ( int, time_t *, int ) ;
LONG FindFileFromDate ( int, time_t *, int ) ;
int InsertNodeAlpha ( struct List *, APTR, signed int ( * ) ( ) ) ;
char * FormMessageText ( char *, ULONG, APTR ) ;
int MatchStr ( char *, char * ) ;
signed int SaveMessage ( struct WriteMsgStruct * ) ;
LONG GetHighPointer ( int, int ) ;
APTR ReadWholeFile ( char *, ULONG * ) ;
struct List *GetSigList ( void ) ;
struct SigNode *GetSig ( ULONG ) ;
struct ConfigUpdate *GetConfigUpdate ( void ) ;
struct List *GetBaudList ( void ) ;
int EditorsLoad ( struct List * ) ;
signed int EditMessage ( struct Msg *, unsigned char * ) ;
signed int DeleteMessage ( int, ULONG ) ;
int SetPointers ( struct MsgIdx * ) ;
int ScanIndex ( char *, int (*)() ) ;
struct AreaNode * GetFileAreaNode ( int ) ;
signed int GetIndexFileName ( char *, char * ) ;
BOOL GetFileIndex ( char *, ULONG, struct fileindex * ) ;
int AddMsgBase ( struct MsgBaseLink * ) ;
struct List * GetMsgBaseLib ( void ) ;
struct MsgAreaNode * GetMsgAreaNode ( int ) ;
BOOL ParseFidoAddr ( char *, struct FidoAddress * ) ;
ULONG FileAreaAccess ( ULONG, ULONG ) ;
ULONG MsgAreaAccess ( ULONG, ULONG ) ;
struct List * GetTemplateList ( void ) ;
ULONG	SetFidoHeaders ( struct WriteMsgStruct * ) ;

/**********************************************************************/
/*                         PRIVATE FUNCTIONS                          */
/*               Don't Even THINK About Calling These!                */
/**********************************************************************/

int Pvt1 ( void ) ;
void Pvt2 ( void ) ;
int Pvt3 ( APTR, BOOL ) ;
void Pvt4 ( void ) ;
int Pvt5 ( APTR, BOOL ) ;
void Pvt6 ( void ) ;

#endif /* CLIB_PIPEUTIL_PROTOS_H */